org.apache.avro

## Class AvroTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.avro.AvroRuntimeException
        - - org.apache.avro.AvroTypeException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    TracingAvroTypeException

      public class AvroTypeException
      extends AvroRuntimeException

  Thrown when an illegal type is used.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroTypeException(String message)`
    `AvroTypeException(String message, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroTypeException

          public AvroTypeException(String message)

    - #### AvroTypeException

          public AvroTypeException(String message,
                                   Throwable cause)

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.